---
wsId: stormX
title: 'StormX: Shop and Earn Crypto'
altTitle: 
authors:
- danny
users: 1000000
appId: com.cakecodes.bitmaker
appCountry: us
released: 2014-09-07
updated: 2022-05-16
version: 8.15.3
stars: 4.2
ratings: 84499
reviews: 3452
size: 
website: https://stormx.io/
repository: 
issue: 
icon: com.cakecodes.bitmaker.png
bugbounty: 
meta: ok
verdict: nowallet
date: 2021-11-01
signer: 
reviewArchive: 
twitter: stormxio
social:
- https://www.linkedin.com/company/StormX
- https://www.facebook.com/stormxio
- https://www.reddit.com/r/stormxio
redirect_from: 

---

## App Description

> Shop at your favorite stores and earn Crypto Cashback. StormX is the easiest and safest way to start earning cryptocurrency without any of the hassles. It’s time to stack sats!
Simply download the app, choose your favorite online stores, buy stuff, and earn shopping rewards.

## The Site

From [a webpage](https://stormx.io/token) on the site concerning StormX's token:

> **How does StormX make money?** StormX receives discounts from brands all over the world and passes on those savings to users when they make a purchase. Users **receive the discounts in crypto** and StormX gets a small transaction fee.

Additionally, in the [Terms of Use](https://stormx.io/terms-of-use), we learn that StormX has the ability to freeze your account and funds:

> StormX may at any time and without liability to, terminate, suspend, or limit your use of StormX Staking (including **freezing the Digital Assets in your account** or closing your Digital Asset Wallet, refusing to process any transaction, or wholly or partially reversing any transactions that you have effected[...]

This confirms that users **can hold digital assets** in this app.

The official homepage says that it is possible for users to withdraw rewards to an external wallet:

> Once you've earned $10 or more you can **withdraw your rewards to any compliant crypto wallet.**

## The App

We tried the app. There was a tab that allowed users to view the account balance. There was an option to withdraw, with 5.00 USD worth of funds as the minimum for the withdrawal limit. Users are also **allowed to connect to an existing wallet such as MetaMask or CoinBase**.

## The Verdict

The app uses a third-party wallet that connects to the service. We [reached out to their support via email](https://twitter.com/BitcoinWalletz/status/1455005081984647168) and posted a screenshot of the conversation.

This app **does not have a bitcoin wallet** and makes use of third party wallet providers.
